Subject: bug#51611: 29.0.50; Compiling emacs 29.0.50 on macOS

From: Eli Zaretskii <[email-masked]>
Date: Fri, 05 Nov 2021 22:52:22 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Fri, 5 Nov 2021 13:46:38 -0700
> Cc: Glenn Morris <[email-masked]>, [email-masked], [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Glenn Morris <[email-masked]>
> >> Cc: Niels Søndergaard <[email-masked]>,
> >>   [email-masked]
> >> Date: Fri, 05 Nov 2021 15:05:20 -0400
> >>
> >> WEBP_CFLAGS is missing from src/Makefile.in.
> >
> > Thanks, should be fixed now.
> 
> Thanks, I had missed adding that.  I'm curious why this would build
> under GNU/Linux and Windows but not macOS though.

The OS has nothing to do with this.  If the WebP include directory is
the normal include directoy scanned by the compiler, i.e. if you don't
need a special -I/some/directory option, Emacs will compile just fine,
because the compiler will find the WebP header files in /usr/include
or wherever it usually looks.  That variable is only needed if the
WebP header files are in an unusual place.